%STANOVENI VETVOVYCH PROUDU
clear all;
    %matice koeficientu A sestavena z rovnic
disp(' Matice koeficientu sestavena z rovnic:');
A=[118	-125	-56	0	0	0
0	125	0	-27.391	-122	0
-144	0	0	0	122	97
260	0	56	0	0	97
0	125	-56	27.391	0	0
0	0	0	-27.391	122	-97]
    %vektor pravych stran
disp(' Vektor pravych stran:');
B=[0 0 0 102 0 0]'
    %vektor vetvovych proudu
disp(' Vektor vysledku - vetvove proudy I1..I6 [A]:');
x=A\B
disp(' Pro vykresleni grafu stisknete libovolnou klavesu!');pause;

%URCENI ZAVISLOSTI ODPORU
    %rozdeleni na dva grafy
subplot(2,1,1);
    %vysledna hodnota (paralelne spojenych odporu) R67
R6c=45;
R7c=70;
R67=(R6c*R7c)/(R6c+R7c);  
    %hodnoty velikosti odporu R6
r6=R6c:10:(10*R6c);
    %dopocteni hodnot R7
for i=1:length(r6)
    r7(i)=(r6(i)*R67)/(r6(i)-R67);
end
    %jemnejsi vypocet
R66=linspace(R6c,(10*R6c),1000);
for i=1:length(R66)
    R77(i)=(R66(i)*R67)/(R66(i)-R67);
end
    %vykresleni grafu + popis + parametry os
plot(R66,R77,'b',r6,r7,'r+')
title('Zavislost R7=f(R6) - velikost R6 roste po 10 ohmech do hodnoty 10*R6')
xlabel('R6[ohm]')
ylabel('R7[ohm]')

subplot(2,1,2);
clear r6 r7 R66 R77
    %hodnoty velikosti odporu r6
r6=(R6c:-2:R67);
    %dopocteni hodnot R7
for i=1:length(r6)
    r7(i)=(r6(i)*R67)/(r6(i)-R67);
end
    %jemnejsi vypocet
R66=linspace(R6c,R67,100);
for i=1:length(R66)
    R77(i)=(R66(i)*R67)/(R66(i)-R67);
end
    %vykresleni grafu + popis + parametry os
semilogy(R66,R77,'g',r6,r7,'r+')
title('Zavislost R7=f(R6) - velikost R6 klesa po 2 ohmech do hodnoty R67')
xlabel('R6[ohm]')
ylabel('R7[ohm]')
axis([26 48 10 10^4])